yum centos

原创 2005年04月22日 22:26:00

运动yum update 进行升级,报错

# yum update
Gathering header information file(s) from server(s)
Server: CentOS-3 - Addons
Server: CentOS-3 - Base
Server: CentOS-3 - Extras
Server: CentOS-3 - Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[install: kernel 2.4.21-27.0.2.EL.i686]
[update: emacs 21.3-4.1.centos.1.i386]
[update: cups 1:1.1.17-13.3.27.i386]
[update: XFree86-xauth 4.3.0-81.EL.i386]
[update: XFree86-Mesa-libGL 4.3.0-81.EL.i386]
[update: gdk-pixbuf 1:0.22.0-12.el3.i386]
[update: perl-CPAN 2:1.61-89.10.i386]
[update: XFree86-Mesa-libGLU 4.3.0-81.EL.i386]
[update: rh-postgresql-server 7.3.9-2.i386]
[update: initscripts 7.31.18.EL-1.centos.1.i386]
[update: squirrelmail 1.4.3a-9.EL3.centos.1.noarch]
[update: vim-X11 1:6.3.046-0.30E.3.i386]
[update: cpio 2.5-3e.3.i386]
[update: rh-postgresql-devel 7.3.9-2.i386]
[update: mysql-devel 3.23.58-15.RHEL3.1.i386]
[update: perl-DBI 1.32-9.i386]
[update: vim-enhanced 1:6.3.046-0.30E.3.i386]
[update: cups-libs 1:1.1.17-13.3.27.i386]
[update: bind-utils 20:9.2.4-7_EL3.i386]
[update: python-devel 2.2.3-6.1.i386]
[update: rh-postgresql-docs 7.3.9-2.i386]
[update: XFree86-xfs 4.3.0-81.EL.i386]
[update: krb5-workstation 1.2.7-42.i386]
[update: curl-devel 7.10.6-6.rhel3.i386]
[update: ipsec-tools 0.2.5-0.7.i386]
[update: ethereal 0.10.10-1.EL3.1.i386]
[update: emacs-leim 21.3-4.1.centos.1.i386]
[update: imap-utils 1:2002d-11.i386]
[update: bind-libs 20:9.2.4-7_EL3.i386]
[update: perl-suidperl 2:5.8.0-89.10.i386]
[update: rh-postgresql-libs 7.3.9-2.i386]
[update: mod_python 3.0.3-5.ent.i386]
[update: imap 1:2002d-11.i386]
[update: bind 20:9.2.4-7_EL3.i386]
[update: ethereal-gnome 0.10.10-1.EL3.1.i386]
[update: perl-DB_File 2:1.804-89.10.i386]
[update: mailman 3:2.1.5-25.rhel3.i386]
[update: rh-postgresql-tcl 7.3.9-2.i386]
[update: perl-CGI 2:2.81-89.10.i386]
[update: less 378-12.i386]
[update: vim-minimal 1:6.3.046-0.30E.3.i386]
[update: rh-postgresql-test 7.3.9-2.i386]
[update: kernel-source 2.4.21-27.0.2.EL.i386]
[update: perl 2:5.8.0-89.10.i386]
[update: redhat-config-securitylevel 1.2.9.2-1.i386]
[update: XFree86-libs 4.3.0-81.EL.i386]
[update: xemacs 21.4.13-8.ent.1.i386]
[update: rh-postgresql-pl 7.3.9-2.i386]
[update: gtk2 2.2.4-15.i386]
[update: kernel-doc 2.4.21-27.0.2.EL.i386]
[update: xemacs-info 21.4.13-8.ent.1.i386]
[update: rh-postgresql 7.3.9-2.i386]
[update: rh-postgresql-python 7.3.9-2.i386]
[update: curl 7.10.6-6.rhel3.i386]
[update: vim-common 1:6.3.046-0.30E.3.i386]
[update: krb5-libs 1.2.7-42.i386]
[update: rh-postgresql-jdbc 7.3.9-2.i386]
[update: rh-postgresql-contrib 7.3.9-2.i386]
[update: XFree86-libs-data 4.3.0-81.EL.i386]
[update: python 2.2.3-6.1.i386]
[update: mysql-bench 3.23.58-15.RHEL3.1.i386]
[update: xemacs-el 21.4.13-8.ent.1.i386]
[update: squid 7:2.5.STABLE3-6.3E.8.i386]
[update: krb5-server 1.2.7-42.i386]
[update: redhat-config-securitylevel-tui 1.2.9.2-1.i386]
[update: mysql 3.23.58-15.RHEL3.1.i386]
[update: XFree86-truetype-fonts 4.3.0-81.EL.i386]
[update: kdelibs 6:3.1.3-6.10.i386]
[update: telnet 1:0.17-26.EL3.2.i386]
[update: XFree86-font-utils 4.3.0-81.EL.i386]
[update: krb5-devel 1.2.7-42.i386]
[update: libtiff 3.5.7-22.el3.i386]
Is this ok [y/N]: y
Downloading Packages
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 025e513b
Error: Could not find the GPG Key necessary to validate pkg /var/cache/yum/update/packages/emacs-21.3-4.1.centos.1.i386.rpm
Error: You may want to run yum clean or remove the file:
 /var/cache/yum/update/packages/emacs-21.3-4.1.centos.1.i386.rpm
Error: You may also check that you have the correct GPG keys installed

报错,看意思是需要gpg key才行,

上google搜索一下,了解一下,后来到centos的老家http://mirror.centos.org/centos/3.4/os/i386/找到 执行rpm -import http://mirror.centos.org/centos/3.4/os/i386/RPM-GPG-KEY-CentOS-3 继续yum  -y update,下载中

How To Install nginx on CentOS 6 with yum

  • 2015年11月22日 22:32
  • 15KB
  • 下载

CentOS-5的yum源无法使用问题

CentOS-5的yum源无法使用问题 [root@ip-172-31-28-42 yum.repos.d]# yum search mysql Loaded plugins: fastestmirr...

CentOS下用yum命令安装jdk

一.使用yum命令安装 1.查看是否已安装JDK,卸载 [plain] view plain copy [root@192 ~]# yum list installed |gr...

redhat换centos的yum源所需的4个文件

  • 2015年06月29日 10:46
  • 1.02MB
  • 下载

Centos7 yum、rpm命令大全

清新的centos7 yum、rpm命令全集

centos6.3 64位 yum源

  • 2013年06月14日 10:32
  • 1.01MB
  • 下载
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:yum centos
举报原因:
原因补充:

(最多只允许输入30个字)